Subject: bug#16941: closed (Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Mar 2014 17:35:04 +0000

Your bug report

#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16941: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
From: Jim Meyering <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Mar 2014 10:34:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Mar 9, 2014 at 10:12 PM, Jim Meyering <[email-masked]> wrote:
> Thanks again for the patch, but if I were to use it, the timeout
> would be so long that the test would mistakenly pass
> (the timeout would not trigger) even if the bug were reintroduced.
> Instead, I've rewritten the test to make it less sensitive to the
> actual hardware used to run it.  Please let me know if this works
> for you:

I've pushed that change.

Subject: [PATCH] tests/mb-non-UTF8-performance: increase timeout
From: Andreas Schwab <[email-masked]>
To: [email-masked]
Date: Wed, 05 Mar 2014 17:09:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 tests/mb-non-UTF8-performance | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/mb-non-UTF8-performance b/tests/mb-non-UTF8-performance
index 282f0c4..9b581a3 100755
--- a/tests/mb-non-UTF8-performance
+++ b/tests/mb-non-UTF8-performance
@@ -26,7 +26,7 @@ require_JP_EUC_locale_
 yes $(printf '%078d' 0) | head -50000 > in || framework_failure_
 
 # Expect no match, i.e., exit status of 1.  Anything else is an error.
-timeout 4 grep -i foobar in; st=$?
+timeout 50 grep -i foobar in; st=$?
 test $st = 1 || fail=1
 
 Exit $fail
-- 
1.9.0

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."